Bug 1302141 - [ENG](6.2.z) NullPointerException at org.drools.core.common.LeftTupleSetsImpl.removeInsert(LeftTupleSetsImpl.java:141)
[ENG](6.2.z) NullPointerException at org.drools.core.common.LeftTupleSetsImpl...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.2.1
Assigned To: Mario Fusco
Marek Winkler
:
Depends On: 1302140
Blocks: 1288021
  Show dependency treegraph
 
Reported: 2016-01-26 17:14 EST by Alessandro Lazarotti
Modified: 2016-04-24 04:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1302140
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-998 Major Resolved NullPointerException at org.drools.core.common.LeftTupleSetsImpl.removeInsert(LeftTupleSetsImpl.java:141) 2017-11-28 02:59 EST

  None (edit)
Description Alessandro Lazarotti 2016-01-26 17:14:55 EST
+++ This bug was initially created as a clone of Bug #1302140 +++

Product BZ for https://issues.jboss.org/browse/DROOLS-998

--- Additional comment from Alessandro Lazarotti on 2016-01-26 17:13:55 EST ---

Fixed by https://github.com/droolsjbpm/drools/commit/db9def520d995c640caf6ed30d9b2b1cd67d91ac
Comment 1 Alessandro Lazarotti 2016-01-26 17:15:41 EST
need backport
Comment 3 Mario Fusco 2016-01-27 02:54:24 EST
Cherry-picked to 6.3.x branch by https://github.com/droolsjbpm/drools/commit/d6d592003
Comment 4 Marek Winkler 2016-02-03 05:02:00 EST
The provided test has passed with BRMS 6.2.1 CR2.

Not marking as verified yet, since we need to know if this BZ should be included in the patch (it is not linked to the payload tracker BZ).
Comment 5 Radovan Synek 2016-02-03 11:15:02 EST
Verified with BRMS-6.2.1.CR2

Note You need to log in before you can comment on or make changes to this bug.